import { MigrationInterface, QueryRunner } from 'typeorm';
export declare class SeedRole1610516350460 implements MigrationInterface {
    up(queryRunner: QueryRunner): Promise<any>;
    saveSystemRole(repository: any, users: any, domain: any): Promise<void>;
    getPrivileges(privilegeSeeds: any, roleName: any): Promise<any[]>;
    down(queryRunner: QueryRunner): Promise<any>;
}
